package cn.com.poc.writing.query;

import cn.com.yict.framemax.data.model.BaseItemClass;

import javax.persistence.Column;
import javax.persistence.Entity;
import java.io.Serializable;

/**
 * Query Item class for AgentApplicationDialoguesRecordQuery
 */
@Entity
public class AiWritingDialoguesRecordQueryItem extends BaseItemClass implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * role
     * role
     */
    private String role;

    @Column(name = "role")
    public String getRole() {
        return this.role;
    }

    public void setRole(String role) {
        this.role = role;
    }

    /**
     * agent_id
     * agent_id
     */
    private String agentId;

    @Column(name = "agent_id")
    public String getAgentId() {
        return this.agentId;
    }

    public void setAgentId(String agentId) {
        this.agentId = agentId;
    }

    /**
     * dialogs_id
     * dialogs_id
     */
    private String dialogsId;

    @Column(name = "dialogs_id")
    public String getDialogsId() {
        return this.dialogsId;
    }

    public void setDialogsId(String dialogsId) {
        this.dialogsId = dialogsId;
    }

    /**
     * member_id
     * member_id
     */
    private Long memberId;

    @Column(name = "member_id")
    public Long getMemberId() {
        return this.memberId;
    }

    public void setMemberId(Long memberId) {
        this.memberId = memberId;
    }

    /**
     * document_title
     */
    private String documentTitle;

    @Column(name = "document_title")
    public String getDocumentTitle() {
        return documentTitle;
    }

    public void setDocumentTitle(String documentTitle) {
        this.documentTitle = documentTitle;
    }

    /**
     * content
     * content
     */
    private String content;

    @Column(name = "content")
    public String getContent() {
        return this.content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    /**
     * reasoning_content
     */
    private String reasoningContent;

    @Column(name = "reasoning_content")
    public String getReasoningContent() {
        return reasoningContent;
    }

    public void setReasoningContent(String reasoningContent) {
        this.reasoningContent = reasoningContent;
    }


    /**
     * timestamp
     * timestamp
     */
    private Long timestamp;

    @Column(name = "timestamp")
    public Long getTimestamp() {
        return this.timestamp;
    }

    public void setTimestamp(Long timestamp) {
        this.timestamp = timestamp;
    }

    /**
     * agent_avatar
     * agent_avatar
     */
    private String agentAvatar;

    @Column(name = "agent_avatar")
    public String getAgentAvatar() {
        return this.agentAvatar;
    }

    public void setAgentAvatar(String agentAvatar) {
        this.agentAvatar = agentAvatar;
    }

    /**
     * agent_title
     * agent_title
     */
    private String agentTitle;

    @Column(name = "agent_title")
    public String getAgentTitle() {
        return this.agentTitle;
    }

    public void setAgentTitle(String agentTitle) {
        this.agentTitle = agentTitle;
    }

} 